Renewals fail with script-based circulation

Bug #1192019 reported by Dan Scott on 2013-06-18
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Evergreen
High
Unassigned

Bug Description

* Evergreen rel_2_4 as of 2013-06-16

Our site noticed after upgrading to rel_2_4 that every renewal failed with the following error (or similar):

[2013-06-16 21:00:21] open-ils.circ [ERR :32087:EX.pm:66:137143077387556] Exception: OpenSRF::EX::ERROR 2013-06-16T21:00:21 OpenSRF::AppRequest /usr/local/share/perl/5.10.1/OpenSRF/AppSession.pm:1064 System ERROR: Exception: OpenSRF::DomainObject::oilsMethodException 2013-06-16T21:00:21 OpenSRF::AppRequest /usr/local/share/perl/5.10.1/OpenSRF/AppSession.pm:1064 <500> *** Call to [open-ils.storage.action.hold_request.nearest_hold.atomic] failed for session [1371430821.4048313842.3470595768], thread trace [1]:
Cannot call execute with a reference (Fieldmapper::actor::org_unit=ARRAY(0x99d9548))

Long story short, Jeff Godin helped figure out that script-based circ fleshes the $copy->circ_lib object, whereas the recently modified code in action.pm simply expects an ID, which is what it gets from in-db circulation rules.

A fix for this is available for rel_2_4 in http://git.evergreen-ils.org/?p=working/Evergreen.git;a=shortlog;h=refs/heads/user/dbs/script_based_renewal_nearest_hold_2_4 - and with minor whitespace adjustment, could also be applied to master.

Mike Rylander (mrylander) wrote :

Picked into master (with mentioned whitespace adjustments) and 2.4. Thanks, Dan!

Changed in evergreen:
status: New → Fix Committed
Ben Shum (bshum) on 2013-07-23
Changed in evergreen:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers